Bug 194775 - [maintainer update] graphics/dcraw-m update 9.17 -> 9.22
Summary: [maintainer update] graphics/dcraw-m update 9.17 -> 9.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-03 05:53 UTC by waitman
Modified: 2014-11-29 15:22 UTC (History)
2 users (show)

See Also:


Attachments
shar of dcraw-m port update for review (2.75 KB, application/x-shar)
2014-11-03 05:53 UTC, waitman
no flags Details
oops, lets use this instead (2.75 KB, application/x-shar)
2014-11-03 06:03 UTC, waitman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description waitman 2014-11-03 05:53:38 UTC
Created attachment 148980 [details]
shar of dcraw-m port update for review

Updates for dcraw-m

+ moved to github
+ use dcraw latest v 9.22
+ add DCRAW_RTC env variable to flip images (use if your extracted thumbnails are upside down. apparently some cameras report position differently)
+ minor changes to three sections of code to prevent LLVM compile warnings so we now build with -Werror -Wall 
+ removed O3/O4 option as they don't really make alot of sense anymore?

thanks
Comment 1 waitman 2014-11-03 06:03:19 UTC
Created attachment 148981 [details]
oops, lets use this instead

oops, sorry.. let's use this one instead. fixed date and added ljasper back into build since it's marked as dependency..
Comment 2 Alex Kozlov freebsd_committer 2014-11-07 18:19:16 UTC
Please resubmit this update in a diff format. Thanks.
Comment 3 commit-hook freebsd_committer 2014-11-29 15:22:59 UTC
A commit references this bug:

Author: rene
Date: Sat Nov 29 15:22:05 UTC 2014
New revision: 373628
URL: https://svnweb.freebsd.org/changeset/ports/373628

Log:
  - Update to 9.22 and unexpire
  - Change MASTER_SITES to GitHub
  - Add GPLv2 as license
  - Switch dependency from lcms to lcms2
  - Drop -O3 and -O4 options

  From myself:
  - unmute do-build command
  - add USES=pkgconfig to fix build

  PR:		194775
  Submitted by:	maintainer <waitman@waitman.net>

Changes:
  head/graphics/dcraw-m/Makefile
  head/graphics/dcraw-m/distinfo
  head/graphics/dcraw-m/pkg-descr